<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
    <record id="sos_installation_report_view_tree" model="ir.ui.view">
    <field name="name">sos_installation_report.view.tree</field>
    <field name="model">sos_installation_report</field>
    <field name="arch" type="xml">
    <tree>
    <field name="plan_id"/>
    <field name="status"/>
    <field name="customer_name"/>
    <field name="customer_location"/>
    <field name="write_uid" string="Last Edited By" optional="hide"/>
    <field name="write_date" string="Last Edited On" optional="hide"/>
    </tree>
    </field>
    </record>

 <record id="action_installation_report" model="ir.actions.act_window">
    <field name="name">Installation Report</field>
    <field name="type">ir.actions.act_window</field>
    <field name="res_model">sos_installation_report</field>
    <field name="view_mode">tree,form</field>
    <field name="view_id" ref="sos_installation_report_view_tree"/>
</record>
<record id="sos_installation_report_form_view" model="ir.ui.view">
    <field name="name">Form</field>
    <field name="model">sos_installation_report</field>
    <field name="arch" type="xml">
        <form>
            <sheet>
        <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Installation Report</h2><hr></hr><br></br>  
        <group>
        <group>
        <field name="plan_id"/>
        <field name="status"/>
      

        </group>
        <group>
         <field name="customer_name"/>
        <field name="customer_location"/>
        </group>

        </group>
        <notebook>
        <page string="Report">
        <field name="installation_doc" filename="installation_doc_filename"  widget="pdf_viewer"/>
        <field name="installation_doc_filename" invisible="1"/>
        </page>

        <page string="Remarks">
                <field name="remarks"/>
                </page>
        </notebook>
                 <br></br> <hr></hr>
                       
            </sheet>
        </form>
    </field>
</record>


              <menuitem id="installation_report_menu"
              name="Installation Report"
              parent="travel_root_menu"
              action="action_installation_report" groups="sos_inventory.sos_ce_user,sos_inventory.sos_ce_head,sos_inventory.sos_finance_user,sos_inventory.sos_management_user"/>
              
</odoo>
